<?php
/* Copyright (c) 2008, Rafael da Silva Rocha <rspenha@users.sourceforge.net>
 * All rights reserved. See the LICENSE file for details.
 */

class Controller {
	
	var $defaultAction = 'index';
	var $template = 'Default';
	
	function handle($action,$data=null) {
		if (!$action) {
			$action = $this->defaultAction;
		}
		$action = 'handle'.ucfirst(strtolower($action));
		if (method_exists($this,$action)) {
			$this->$action($data);
		}else{
			$this->presentView('../404');
		}
	}
	
	function getTemplate($template) {
		$template = file_get_contents('templates/'.$template.'/index.html');
		return explode('#detox',$template);
	}
	
	function presentView($page,$data=null) {
		$template = $this->getTemplate($this->template);
		echo $template[0];
		include_once('views/'.$this->model.'/'.$page.'.php');
		echo $template[1];
	}
		
	function present($content) {
		$template = $this->getTemplate($this->template);
		echo $template[0];
		echo $content;
		echo $template[1];
	}
	
}

?>