<h2>About The Detox Framework</h2>
<p>The Detox Framework is a MVC web application framework built in the PHP programming language.
Detox is free software and can be downloaded, used, changed and redistributed under the terms
of the BSD License. The Detox project is hosted in <a href="http://www.sourceforge.net">SourceForge</a>.</p>
<p>The main goals of Detox are performance, simplicity and ease of use. Detox is blazing fast; Simplicity is being achieved - the core framework is about 20kb and defining a new action to be mapped from a URI (and then presenting
a view or doing anything else) is easy as a function definition, sometimes a one-line function. Ease of use is provided by a standards and <a href="documentation">good documentation</a>; as Detox is still in a very initial state, it is lacking from both in many cases. We are trying to correct this for the next versions.</p>

<h3>How to get it</h3>
<p>Get the latest version from our <a href="http://www.sourceforge.net/projects/phpdetox">download page</a> in SourceForge. Detox latest release is <a href="http://www.sourceforge.net/projects/phpdetox">version 0.2.2</a></p>

<h3>This website</h3>
<p>This website was made using a <em>modified</em> and <em>very simplfified</em> Detox version,
and its source can be <a href="detoxwebsite.zip">downloaded</a> under a BSD License. It can be used for insights
and inspiration on what you can do with the framework and the Model-View-Controller design pattern.</p>
<p>It uses mod_rewrite and one simple rewrite rule to redirect all requests to the index.php file,
that then simply present all views on a given template. This way you can have a single template
file that is used for all pages you create, eliminating
<strong>the repetitive &lt;?php include_once('header.php') ?&gt; process</strong>. It is also very small;
the engine for templating like this is about 3kb and you may extend it with your PHP code easily, if needed.</p>
<p>The models and database access classes were completely removed to show how you can delete what you
dont want to use without breaking the application. This site was build on a simplified Detox version 0.2.1
and can be used as a base to quick develop non-database-driven websites.</p>