<?php
/* Copyright (c) 2008, Rafael da Silva Rocha <rspenha@users.sourceforge.net>
 * All rights reserved. See the LICENSE file for details.
 */

require_once("controller.php");

class ApplicationController extends Controller {
	
	function ApplicationController() {
		$page = $this->parseRequest();
		if ($page) {
			if ($this->checkFile($page)) {
				$this->presentView($page);
			}else {
				$this->presentView('404');
			}
		}else {
			$this->presentView('about');
		}
	}
	
	function checkFile($file) {
		return (is_file('views/' . $file . '.php'));
	}
	
	function parseRequest() {
		return str_replace('/','',$_SERVER['REQUEST_URI']);
	}
	
}

?>